Saltar al contenido principal

Issuer Issue Activity Get

2 endpoints

GET /issuers/{clientIssuerId}/issues/{clientIssueId}/activities/{clientIssueActivityId} Find client issue activity by id

Parameters

clientIssuerId required
string · path
The clientId must be included in the URI
clientIssueId required
string · path
The clientIssueId must be included in the URI
clientIssueActivityId required
string · path
The clientIssueActivityId must be included in the URI

Responses

200 Ok
400 Bad request
401 Unauthorized
GET https://api.cm-qa.onyze.pro/v2/issuers/{clientIssuerId}/issues/{clientIssueId}/activities/{clientIssueActivityId}
Response 200
{
"id": "61f4722b-cfd2-48e8-bd8f-7b8af7c5f285",
"clientIssueId": "e685d8f1-f269-4e1b-9f29-d7d0181f871b",
"name": "Issue",
"description": "Issue description",
"infoUrl": "https://domain.com",
"status": "APPROVED",
"createdAt": "2024-07-16T05:32:17.016Z",
"signedTypedData": "0x156ee5638bd00c9196a430c29f6c960e40f52041a9f405540a88619051e301f00512813e523ee522cad6ce1304b272fc432a790630fc62c75a38ec5fb377777e1b"
}
GET /issuers/{clientIssuerId}/issues/{clientIssueId}/activities Find client issue activities by criteria

Parameters

clientIssuerId required
string · path
The clientIssuerId must be included in the URI
clientIssueId required
string · path
The clientIssueId must be included in the URI
name
string · query
readed
boolean · query
type
string (enum) · query
sortColumn
string · query
Sort the response by class property
sortOrder
string · query
Sort the response by ASC or DESC
take
number · query
Number of records to obtain
page
number · query
Page number of the records list

Responses

200 Ok
400 Bad request
401 Unauthorized
GET https://api.cm-qa.onyze.pro/v2/issuers/{clientIssuerId}/issues/{clientIssueId}/activities
Response 200
{
"data": [
{
"createdAt": "2024-07-16T05:32:17.016Z",
"updatedAt": "2024-07-16T05:32:17.016Z",
"id": "61f4722b-cfd2-48e8-bd8f-7b8af7c5f285",
"clientIssueId": "e685d8f1-f269-4e1b-9f29-d7d0181f871b",
"name": "Issue"
}
]
}